// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from cob_msgs:msg/EmergencyStopState.idl
// generated code does not contain a copyright notice

#ifndef COB_MSGS__MSG__DETAIL__EMERGENCY_STOP_STATE__STRUCT_H_
#define COB_MSGS__MSG__DETAIL__EMERGENCY_STOP_STATE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'EMFREE'.
/**
  * Possible EMStop States
  * system operatign normal
 */
enum
{
  cob_msgs__msg__EmergencyStopState__EMFREE = 0
};

/// Constant 'EMSTOP'.
/**
  * emergency stop is active (Button pressed; obstacle in safety field of scanner)
 */
enum
{
  cob_msgs__msg__EmergencyStopState__EMSTOP = 1
};

/// Constant 'EMCONFIRMED'.
/**
  * emergency stop was confirmed system is reinitializing and going back to normal
 */
enum
{
  cob_msgs__msg__EmergencyStopState__EMCONFIRMED = 2
};

/// Struct defined in msg/EmergencyStopState in the package cob_msgs.
/**
  * This message holds the emergency stop (EMStop) status of the robot. It detects wether an EMStop is caused by the safety laserscanner or the emergency stop buttons. Moreover, it gives signalizes wether the EMStop was confirmed (after Button press stop) and the system is free again.
 */
typedef struct cob_msgs__msg__EmergencyStopState
{
  /// true = emergency stop signal is issued by button pressed
  bool emergency_button_stop;
  /// true = emergency stop signal is issued by scanner
  bool scanner_stop;
  /// true = emergency stop signal is issued by monitor
  bool monitoring_stop;
  /// true = emergency stop signal is issued by ui
  bool user_interaction_stop;
  /// true = emergency stop signal is issued due to hardware failure
  bool hardware_stop;
  /// true = emergency stop signal is issued by bumper
  bool bumper_stop;
  /// true = emergency stop signal is issued by fall-protecting sensors
  bool fall_stop;
  /// true = emergency stop signal is issued due to charging process
  bool charge_stop;
  /// state (including confimation by key-switch), values see above
  int16_t emergency_state;
} cob_msgs__msg__EmergencyStopState;

// Struct for a sequence of cob_msgs__msg__EmergencyStopState.
typedef struct cob_msgs__msg__EmergencyStopState__Sequence
{
  cob_msgs__msg__EmergencyStopState * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} cob_msgs__msg__EmergencyStopState__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // COB_MSGS__MSG__DETAIL__EMERGENCY_STOP_STATE__STRUCT_H_
